
<?php include "inc/debut.php";
head("details-techniques.php"); ?>

<h1>Détails techniques sur l'infrastructure d'Antopie</h1>

<article>

  <h2>Matériel</h2>

  Une tour nommée Pastèque avec :

  <ul>
    <li>12 Go de RAM</li>
    <li>Disque dur d'1,5 To</li>
    <li>Intel Core i5 64 bits 4 cœurs 3.4GHz</li>
  </ul>

  <h2>Système</h2>

  <a href="https://yunohost.org/">YunoHost</a> 3.8 (basé sur <a href="https://www.debian.org/">Debian</a> 9) et son écosystème : Nginx, Postfix, Fail2ban...

  <h2>DNS</h2>

  Le domaine <code>antopie.org</code> est enregistré chez <a href="https://www.gandi.net/">Gandi</a> et administré sur leur interface Web LiveDNS.
  <br>
  <a href="https://fr.wikipedia.org/wiki/Domain_Name_System_Security_Extensions">DNSSEC</a> est activé dessus.
  <br>
  Il est enregistré dans la <a href="https://hstspreload.org">HSTS Preload List</a>.

  <h2>Internet</h2>

  Pastèque est connectée à Internet via une connexion du FAI Free en fibre optique (FTTH) à Paris.
  <br>
  Le débit maximal disponible varie entre 50 Mo/s (400 Mbit/s) et 100 Mo/s (800 Mbit/s).
  <br>
  Adresse IPv6 : <code>2a01:e34:ec23:b760:5604:a6ff:fec4:58bd</code>
  <br>
  Adresse IPv4 : <code>78.194.59.118</code>
  <br>
  En raison d'un problème de mails, Pastèque utilise actuellement et temporairement un VPN de <a href="https://milkywan.fr/">MilkyWan</a>.
  <br>
  Adresse IPv6 du VPN : <code>2a0b:cbc0:1103:2::106f</code>
  <br>
  Adresse IPv4 du VPN : <code>45.13.104.169</code>

  <h2>Sauvegarde</h2>

  Des sauvegardes sont faites régulièrement avec le <a href="https://yunohost.org/#/backup">système intégré à YunoHost</a>.
  <br>
  PeerTube et Nextcloud ne sont pas sauvegardées car cela prendrait trop de place.
  <br>
  Les sauvegardes sont copiées sur un disque dans la même pièce.

  <h2>Relai Tor</h2>

  Pastèque héberge aussi <a href="https://metrics.torproject.org/rs.html#details/BE8737597F2E6B4F805893202C935125829A902E">un relai Tor</a>. Il ne tourne pas quand le VPN est actif.

</article>

<?php include "inc/footer.php"; ?>
