<?php include "inc/debut.php";
head("index.php"); ?>

  <div id="pres">

    <p>
      Antopie propose des services Internet, administrés par et hébergés chez <a href="<?php echo clearnetOrOnion("https://miraty.antopie.org", "http://miratyww5h7xhki2ttodapygnukmnrywn4osw3d32llc4sggzmyso5id.onion"); ?>">Miraty</a> grâce à <a href="https://yunohost.org">YunoHost</a>.
    </p>
    <p>
      Le compte <a rel="me" href="https://miaou.drycat.fr/@Antopie">@Antopie@miaou.drycat.fr</a> (<a href="https://miaou.drycat.fr/@Antopie.rss">RSS</a>) informe des pannes, mises à jour et nouveaux services.
    </p>

    <a href="<?php formerUrlLocale("manifeste-sur-le-contenu"); ?>" class="bouton">Manifeste sur le contenu</a>
    <a href="<?php formerUrlLocale("details-techniques"); ?>" class="bouton">Détails techniques</a>
    <a href="<?php formerUrlLocale("cgu"); ?>" class="bouton">Conditions d'utilisation</a>

  </div>


  <div id="pres-links">

  </div>

  <div id="services" class="grille-services">

    <?php

$logoService = array(
  'plume' => 'plume.png',
  'peertube' => 'peertube.png',
  'gitea' => 'gitea.png',
  'libreqr' => 'qr.png',
  'bitwarden' => 'bitwarden.png',
  'nextcloud' => 'nextcloud.png',
  'synapse' => 'matrix.png',
  'riot' => 'riot.png',
  'privatebin' => 'privatebin.png',
  'jirafeau' => 'jirafeau.png',
  'rssbridge' => 'rssbridge.png',
  'searx' => 'searx.png',
  'etherpad' => 'etherpad.png',
  'diagrams' => 'diagrams.png',
  'opensondage' => 'opensondage.png',
);

$urlService = array(
  'plume' => clearnetOrOnion('https://blog.antopie.org', 'http://antblogn2vnc4hncjiow4jn7yidxe64l2o2qhj2tyla33jjhrrf5v2ad.onion'),
  'peertube' => 'https://video.antopie.org',
  'gitea' => clearnetOrOnion('https://code.antopie.org', 'http://antcode5h4tntfei362x7eydifyxdjskjisv5pezk2othlh7oho2zhyd.onion'),
  'libreqr' => clearnetOrOnion('https://qr.antopie.org', 'http://libreqrh5gsyzaaexx4vwyp6k2sd5keg5svyj2gpbkhg7zzyjvswiiyd.onion'),
  'bitwarden' => clearnetOrOnion('https://mdp.antopie.org', 'http://antmdpizuaquzfz5kzv3tz3k2funlcgma5gxtujxs5sl6z7wyk76x3qd.onion'),
  'nextcloud' => 'https://nuage.antopie.org',
  'synapse' => 'https://matrix.antopie.org',
  'riot' => 'https://riot.antopie.org',
  'privatebin' => clearnetOrOnion('https://texte.antopie.org', 'http://anttxt2u75lbrpl23szr6qtgzx5kkcz7larjmg24udwypceuslzel5qd.onion'),
  'jirafeau' => clearnetOrOnion('https://up.antopie.org', 'http://antuplo4vcln7ftoatr5iualwb3py7ccii6t32gemzannhu4blj2xqid.onion'),
  'rssbridge' => clearnetOrOnion('https://rss.antopie.org', 'http://antrssv5553pjemejxyszija6ceii4soc5ozk6pdj7y3vauzioavdkid.onion'),
  'searx' => clearnetOrOnion('https://searx.antopie.org', 'http://antsrxhuvxylfgvu6c33m6gzlp3dsrxfnil7z3ppfya2vqvs4hkuy7qd.onion'),
  'etherpad' => 'https://pad.antopie.org',
  'diagrams' => 'https://draw.antopie.org',
  'opensondage' => clearnetOrOnion('https://sondage.antopie.org', 'http://antaskuzziqjodxfighsptanvhrwmb7h5nsgjwei2dvvtsuqgjsaxvad.onion'),
);

$nomService = array(
  'plume' => 'Plume',
  'peertube' => 'PeerTube',
  'gitea' => 'Gitea',
  'libreqr' => 'LibreQR',
  'bitwarden' => 'Bitwarden',
  'nextcloud' => 'Nextcloud',
  'synapse' => 'Synapse',
  'riot' => 'Riot',
  'privatebin' => 'PrivateBin',
  'jirafeau' => 'Jirafeau',
  'rssbridge' => 'RSS Bridge',
  'searx' => 'Searx',
  'etherpad' => 'Etherpad',
  'diagrams' => 'Diagrammes',
  'opensondage' => 'OpenSondage',
);

$infoThemeService = array(
  'plume' => 'Thème sombre & rouge',
  'peertube' => 'Thème rouge',
  'gitea' => 'Thème sombre',
  'libreqr' => 'Thème sombre',
  'bitwarden' => NULL,
  'nextcloud' => 'Thème sombre',
  'synapse' => NULL,
  'riot' => NULL,
  'privatebin' => 'Thème sombre',
  'jirafeau' => 'Thème sombre',
  'rssbridge' => 'Thème sombre & rouge',
  'searx' => 'Thème sombre',
  'etherpad' => NULL,
  'diagrams' => NULL,
  'opensondage' => NULL,
);

$descService = array(
  'plume' => 'Créez simplement un blog qui sera accessible via le Web, le <a href="https://fr.wikipedia.org/wiki/Fediverse">Fédiverse</a> et un flux <a href="https://fr.wikipedia.org/wiki/Atom_Syndication_Format">Atom</a>.',
  'peertube' => 'Regardez ou publiez des vidéos sur le <a href="https://fr.wikipedia.org/wiki/Fediverse">Fédiverse</a> en <a href="https://fr.wikipedia.org/wiki/Pair_%C3%A0_pair">pair à pair</a>.',
  'gitea' => '<a href="https://fr.wikipedia.org/wiki/Forge_(informatique)">Forge logicielle</a> simple basée sur <a href="https://fr.wikipedia.org/wiki/Git">Git</a>.',
  'libreqr' => "Un générateur de <a href='https://fr.wikipedia.org/wiki/Code_QR'>codes QR</a> fait maison.",
  'bitwarden' => 'Générez, enregistrez et synchronisez des mots ou phrases de passe fortes.',
  'nextcloud' => 'Synchronisation de fichiers, de contacts (<a href="https://fr.wikipedia.org/wiki/CardDAV">CardDAV</a>), d’agenda (<a href="https://fr.wikipedia.org/wiki/CalDAV">CalDAV</a>), <a href="https://getcarnet.app/">Carnet</a> , et plein d’autres fonctionnalités grâce à des extensions.',
  'synapse' => 'Un serveur <a href="https://fr.wikipedia.org/wiki/Matrix_(protocole)">Matrix</a>, qui est un protocole internet moderne pour la communication écrite, audio ou vidéo.',
  'riot' => 'Client Web pour <a href="https://fr.wikipedia.org/wiki/Matrix_(protocole)">Matrix</a>.',
  'privatebin' => 'Partagez des textes, codes sources ou <a href="https://fr.wikipedia.org/wiki/Markdown">Markdown</a> rapidement.',
  'jirafeau' => 'Partagez rapidement n’importe quel fichier avec n’importe qui.',
  'rssbridge' => 'Exportez les données de centaines de sites aux formats <a href="https://fr.wikipedia.org/wiki/Atom_Syndication_Format">Atom</a>, <a href="https://fr.wikipedia.org/wiki/JavaScript_Object_Notation">JSON</a>, <a href="https://fr.wikipedia.org/wiki/Hypertext_Markup_Language">HTML</a>, Mrss ou texte.',
  'searx' => '<a href="https://fr.wikipedia.org/wiki/M%C3%A9tamoteur">Métamoteur</a> anonymé : combine plusieurs moteurs de recherche sur une seule page.',
  'etherpad' => 'Éditez un texte sur plusieurs appareils en même temps. Utilisable avec <a href="https://pad.antopie.org/mypads/">MyPads</a>.',
  'diagrams' => 'Créez des graphiques pour représenter des idées.',
  'opensondage' => 'Planifiez un rendez-vous ou prenez des décisions.'
);

$siteOfficielService = array(
  'plume' => 'joinplu.me',
  'peertube' => 'joinpeertube.org',
  'gitea' => 'gitea.io',
  'libreqr' => NULL,
  'bitwarden' => 'bitwarden.com',
  'nextcloud' => 'nextcloud.com/fr_FR',
  'synapse' => NULL,
  'riot' => 'about.riot.im',
  'privatebin' => 'privatebin.info',
  'jirafeau' => NULL,
  'rssbridge' => NULL,
  'searx' => 'asciimoo.github.io/searx',
  'etherpad' => 'etherpad.org',
  'diagrams' => 'www.diagrams.net',
  'opensondage' => NULL,
);

$gitService = array(
  'plume' => 'github.com/Plume-org/Plume',
  'peertube' => 'github.com/Chocobozzz/PeerTube',
  'gitea' => 'github.com/go-gitea/gitea',
  'libreqr' => 'code.antopie.org/miraty/libreqr',
  'bitwarden' => 'github.com/dani-garcia/bitwarden_rs',
  'nextcloud' => 'github.com/nextcloud/server',
  'synapse' => 'github.com/matrix-org/synapse',
  'riot' => 'github.com/vector-im/riot-web',
  'privatebin' => 'github.com/PrivateBin/PrivateBin',
  'jirafeau' => 'gitlab.com/mojo42/Jirafeau',
  'rssbridge' => 'github.com/rss-bridge/rss-bridge',
  'searx' => 'github.com/asciimoo/searx',
  'etherpad' => 'github.com/ether/etherpad-lite',
  'diagrams' => 'github.com/jgraph/drawio',
  'opensondage' => 'framagit.org/framasoft/framadate/framadate'
);

$paquetYnhService = array(
  'plume' => 'github.com/YunoHost-Apps/plume_ynh',
  'peertube' => 'github.com/YunoHost-Apps/peertube_ynh',
  'gitea' => 'github.com/YunoHost-Apps/gitea_ynh',
  'libreqr' => 'code.antopie.org/miraty/qr_ynh',
  'bitwarden' => 'github.com/YunoHost-Apps/bitwarden_ynh',
  'nextcloud' => 'github.com/YunoHost-Apps/nextcloud_ynh',
  'synapse' => 'github.com/YunoHost-Apps/synapse_ynh',
  'riot' => 'github.com/YunoHost-Apps/riot_ynh',
  'privatebin' => 'github.com/YunoHost-Apps/zerobin_ynh',
  'jirafeau' => 'github.com/YunoHost-Apps/jirafeau_ynh',
  'rssbridge' => 'github.com/YunoHost-Apps/rss-bridge_ynh',
  'searx' => 'github.com/YunoHost-Apps/searx_ynh',
  'etherpad' => 'github.com/YunoHost-Apps/etherpad_mypads_ynh',
  'diagrams' => 'github.com/YunoHost-Apps/diagramsnet_ynh',
  'opensondage' => 'github.com/YunoHost-Apps/opensondage_ynh',
);

    foreach($descService as $codeService => $descService) { ?>
      <div>
        <div class="zoneLien">
          <a class="lienService" href="<?= $urlService[$codeService] ?><?php if ($codeService == "synapse") { echo "/_matrix/static/"; } ?>">
            <div class="logoService"><img class="elLogoServ" src="img/logos/<?= $logoService[$codeService] ?>" alt=""/></div>
            <div class="titreService"><?= $nomService[$codeService] ?></div>
            <!--<div class="urlService"><?= $urlService[$codeService] ?></div>-->
          </a>
        </div>
        <div class="descService"><?= $descService ?></div>
        <div class="themeService"><?php if (!is_null($infoThemeService[$codeService])) { ?>· <?= $infoThemeService[$codeService] ?> ·<?php } ?></div>
        <div class="metasService">
          <?php if (!is_null($siteOfficielService[$codeService])) {
            echo '<a class="icon-home metaService" aria-label="Site officiel" title="Site officiel de ' . $nomService[$codeService] . '" href="https://' . $siteOfficielService[$codeService] . '"></a>';
          } ?>
          <a class="icon-git metaService" aria-label="Code source" title="Code source de <?= $nomService[$codeService] ?>" href="https://<?= $gitService[$codeService] ?>"></a>
          <a class="icon-ynh metaService" aria-label="Paquet YunoHost" title="Paquet YunoHost de <?= $nomService[$codeService] ?>" href="https://<?= $paquetYnhService[$codeService] ?>"></a></div>
      </div>

    <?php } ?>

  </div>

  <br>

  <p>
    Vous trouverez également votre IP, agent utilisateur, référent HTTP et langues demandées sur <a href="<?php formerUrlLocale("navigateur"); ?>">cette page</a>.
  </p>

  <p>
    Antopie n'a pas besoin de dons pour être financée, si vous avez toutefois suffisamment d'argent, vous pouvez par exemple <a href="https://www.laquadrature.net/donner/">soutenir La Quadrature du Net</a>, <a href="https://joinpeertube.org/roadmap">la v3 de PeerTube</a> ou un projet libre sur <a href="https://liberapay.com/explore/">Liberapay</a>.
  </p>

  <address id="contact">
    Vous pouvez me contacter par mail : <a href="mailto:miraty+web@antopie.org">miraty+web@antopie.org</a>, le Fédiverse : <a href="https://plero.antopie.org/miraty" rel="me">@miraty@plero.antopie.org</a> ou Matrix : @miraty:matrix.antopie.org.
  </address>


<?php include "inc/footer.php"; ?>
