<?php include "inc/debut.php";
head("manifeste-sur-le-contenu.php"); ?>

<h1>Manifeste sur le contenu</h1>

<article>

  Antopie refuse d'héberger du contenu soutenant une vision du monde droitiste. Cela inclut :

  <ul>
    <li>Fascisme, racisme, capacitisme, essentialisme</li>
    <li>Capitalisme, publicité</li>
    <li>Sexisme, homophobie, transphobie</li>
    <li>Théisme, conspirationnisme, spiritualisme</li>
  </ul>

  Antopie encourage la diffusion d'idées gauchistes. Cela inclut :

  <ul>
    <li>Librisme, datalove, kopimisme</li>
    <li>Anarchisme, communisme, socialisme</li>
    <li>Féminisme, queer</li>
    <li>Écologisme, véganisme, décroissance</li>
    <li>Éducation populaire, pensée critique</li>
  </ul>

  <p>
    L'utilisation de licences libres est encouragée.
  </p>

  <p style="font-weight: bold;">
    Les contenus qui n'ont pas spécifiquement d'impact politique sont également les bienvenus.
  </p>

  <p>
    Ces règles s'appliquent principalement aux contenus hébergés publiquement par Antopie sur <a href="https://video.antopie.org">PeerTube</a> et <a href="<?php echo clearnetOrOnion("https://blog.antopie.org", "http://antblogn2vnc4hncjiow4jn7yidxe64l2o2qhj2tyla33jjhrrf5v2ad.onion"); ?>">Plume</a>.
  </p>

  <p>
    Les contenus accessibles par la fédération ou par une URL communiquée en privé sont moins concernés pas ce manifeste.
  </p>

  <p>
    Ces règles sont édictées pour que vous puissiez vous faire une idée de la modération et du but d'Antopie. Il ne s'agit pas d'une vérité absolue. Je garde ma liberté de ne pas modérer ou de modérer pour d'autres raisons.
  </p>

  <h2>Ce n'est pas une atteinte à la liberté d'expression</h2>

  <p>
    Internet est un réseau libre et vous y dites ce que vous voulez. Cependant quand vous publiez du contenu par le serveur de quelqu'un d'autre, c'est aux yeux d'Internet cette personne qui s'exprime à votre place.
  </p>

  <p>
    On peut comparer l'hébergement Internet à l'hébergement dans son sens original : vous êtes ici chez moi. Je permet à d'autres de venir discuter chez moi. Mais je ne souhaite pas que vous veniez chez moi pour dire des bêtises. Dans ce cas, je vous invite plutôt à <del>vous taire</del> aller dans une autre maison ou construire la vôtre.
  </p>

  <p>
    L'avantage d'Internet étant que l'on peut passer très rapidement d'une maison à l'autre.
  </p>

  <p>
    Cette comparaison fonctionne surtout car Antopie utilise des logiciels libres : avec des logiciels privateurs, vous ne pouvez pas construire votre propre maison.
  </p>

</article>

<?php include "inc/footer.php"; ?>
